/**
 * Created by abdulazizalonizi on 8/8/17.
 */
public class SphereDriver {
    public static void main (String[] args)
    {
        Sphere sphere1 = new Sphere(5,1,3);

        System.out.println("Sphere1 before modification:");
        System.out.println("Center: "+"( "+sphere1.getxCenter() + ", " + sphere1.getyCenter()+" )");
        System.out.println("Radius : "+sphere1.getRadius());
        System.out.println("Volume = " + sphere1.calculateVolume());
        System.out.println("Surface Area = " + sphere1.calculateSurfaceArea());

        sphere1.setRadius(sphere1.getRadius()*2);
        sphere1.setxCenter(sphere1.getxCenter()+3);
        sphere1.setyCenter(sphere1.getyCenter()+10);

        System.out.println("");

        System.out.println("Sphere1 After modification:");
        System.out.println("Center: "+"( "+sphere1.getxCenter() + ", " + sphere1.getyCenter()+" )");
        System.out.println("Radius : "+sphere1.getRadius());
        System.out.println("Volume = " + sphere1.calculateVolume());
        System.out.println("Surface Area = " + sphere1.calculateSurfaceArea());


        ///////LAB11////////////
        System.out.println("\nTesting LAB11\n");

        Sphere s2 = new Sphere(sphere1);

        System.out.println(sphere1+"\n"+s2+"\nAre they Equal:"+s2.equals(sphere1));



    }
}
